Search Devices
curl --request GET \
--url https://api.voxo.co/v2/admin/devices/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voxo.co/v2/admin/devices/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voxo.co/v2/admin/devices/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"name": "<string>",
"mac": "<string>",
"tenantId": 123,
"phLine1ExId": 123,
"extPeer": "<string>",
"deviceModelId": 123,
"deviceModel": "<string>",
"tenantName": "<string>",
"tenantCode": "<string>",
"userAgent": "<string>"
}
]{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Devices
Search Devices
Search devices by MAC address or name
GET
/
v2
/
admin
/
devices
/
search
Search Devices
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by MAC address
Maximum string length:
17Pattern:
^([0-9A-Fa-f]{2}[:-]){5}([0-9A-Fa-f]{2})$Filter by device name
Maximum string length:
255Response
Matching devices
Device ID
Device name
MAC address
Tenant ID
Primary line extension ID
Extension SIP peer name
Device model ID
Phone model name
Tenant name
Tenant code
SIP user agent string
Was this page helpful?